<?php
/**********************************************************************/
# Title: MW- ver. 4.1
# Copyright By  Moy-weB  (http://moyweb.moy.su)
# Изготовлениш шаблонов (скинов), разработка дизайна, написание скриптов
# Версия для Lineage-II
# Corsar, I-Andi (2009)
/**********************************************************************/
require_once("header.php");
if (!isset($_POST['action']))
{
	$file_menu = file("../data/menu.csv");
?>
<br>
<h3>Добавить статью (разрешено HTML-форматирование)</h3>

	<table border="0" width="850">
	<tr><td valign=top align="left">




<!----->

	<!-- This <div> holds alert messages to be display in the sample page. -->
	<div id="alerts">
		<noscript>
			<p>
				<strong>CKEditor requires JavaScript to run</strong>. In a browser with no JavaScript
				support, like yours, you should still see the contents (HTML data) and you should
				be able to edit it normally, without a rich editor interface.
			</p>
		</noscript>
	</div>
	<!-- This <fieldset> holds the HTML that you will usually find in your
	     pages. -->
	<form action="admin_new.php" method="post">
<input type="hidden" name="action" value="do" />
			<p>
				<label for="editor1">
					 (<span id="count"> </span>
					languages!):</label><br/>
				<select disabled="disabled" id="languages" onchange="createEditor( this.value );">
					<script type="text/javascript">
					//<![CDATA[

						// Get the language list from the _languages.js file.
						for ( var i = 0 ; i < window.CKEDITOR_LANGS.length ; i++ )
						{
							document.write(
								'<option value="' + window.CKEDITOR_LANGS[i].code + '">' +
									window.CKEDITOR_LANGS[i].name +
								'</option>' );
						}

					//]]>
					</script>
				</select>
				<br/>

			</p>
			<p>
				<textarea cols="80" id="message" name="editor1"  rows="10"></textarea>
				<script type="text/javascript">
				//<![CDATA[

					// Set the number of languages.
					document.getElementById( 'count' ).innerHTML = window.CKEDITOR_LANGS.length;

					var editor;

					function createEditor( languageCode )
					{
						if ( editor )
							editor.destroy();

						// Replace the <textarea id="editor"> with an CKEditor
						// instance, using default configurations.
						editor = CKEDITOR.replace( 'editor1',
							{
								language : languageCode,

								on :
								{
									instanceReady : function()
									{
										// Wait for the editor to be ready to set
										// the language combo.
										var languages = document.getElementById( 'languages' );
										languages.value = this.langCode;
										languages.disabled = false;
									}
								}
							} );
					}

					// At page startup, load the default language:
					createEditor( '' );

				//]]>
				</script>
			</p>
	 

<!----->

<br />
</td></tr></table>
<table><tr><td valign=top>
<fieldset >
<legend>&nbsp;&nbsp; Данные страницы&nbsp;&nbsp;</legend>	

<table width="300" height="370">
<tr>
  <td>Название страницы (title): *</td>
  <td><input name="title" type="text" size="54" /></td></tr>
<tr>
<tr>
  <td>Заголовок страницы (h3): *</td>
  <td><input name="h3" type="text" size="54" /></td></tr>
<tr>
  <td>Ключевые слова (keywords):</td>
  <td><input name="keys" type="text" size="54" /></td></tr>
<tr>
  <td>Описание страницы (description):</td>
  <td><input name="descr" type="text" size="54" /></td></tr>
<tr>
  <td>Ссылка для меню: *</td>
  <td><input name="link" type="text" size="54" /></td>
</tr>
<tr>
  <td>Псевдоним: (alias) * <font color=red><b>*</b></font></td>
  <td><input name="alias" type="text" size="54" /></td>
</tr>
<tr>
  <td>Родительская страница</td>
  <td align="left">
  <?php
		$k = 0;
		foreach( $file_menu as $line )
		{
			$elem = explode (";", $line);
			if ( trim($elem[3]) == 0 )
			{
				$l .= '<option value="'.$elem[0].'" >'.trim($elem[2]).'</option>';	
				++$k;
			}
		    
		}
	?>
  	<select name="parent" size="<?php echo($k + 1); ?>">
		<option selected value="0">Корень меню</option>
		<?=$l; ?>
	</select>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" value="Добавить" />
</form>
</td>
</tr></table>

</td><td valign="top">
		
<fieldset>
<legend>&nbsp;&nbsp; файлы и картинки &nbsp;&nbsp;</legend>		
		<table border=0>
		<tr>
		<td>
<iframe src="admin_img_form.php" frameborder="0" width="150" height="366" marginwidth="0" marginheight="0"></iframe>
		</td>
		
		<td>
<iframe src="admin_file_form.php" frameborder="0" width="150" height="366" marginwidth="0" marginheight="0"></iframe>
		</td>
		</tr>
		</table>
</fieldset>
</td></tr></table>


<div align='left' style="padding-left:60px; padding-top:20px;">
* - Обязательные для заполнения поля <br>
<font color=red>*</font> - Заполнять (<font color=red>latinskimi-bukvami</font>) можно разделять знаком тире "-" и <b>без</b> слеша "/" в конце и <b>без</b> разширения .html
</div>




<?php
}
else
{
	if (!isset($_POST['editor1']) || !isset($_POST['title']) || !isset($_POST['link']) || !isset($_POST['parent']) || empty($_POST['editor1']) || empty($_POST['title']) || empty($_POST['link']) ) 
	{
		echo("<p>Необходимо заполнить все поля<br>Сейчас вы будете автоматически возвращены на предыдущую страницу</p>
				<html>
				<head>
					<meta http-equiv='Refresh' content='3; URL = admin_new.php'>
				</head>");
	}
	else
	{
		$d = dir ("../data/content/");
		while (false !== ($entry = $d->read()))
		{
			if (preg_match("/[0-9].php/", $entry))
			{
				$nums[] = str_replace (".php", "", $entry);
			}
		}
		if (!isset($nums)) 
		{
			$n = 1;
		}
		else
		{
			sort ($nums);
			$n = $nums[count($nums)-1] + 1;
		}
		$text = stripslashes($_POST['editor1']);
		$content = "<?php\r\n\$page_title = '" . $_POST['title'] . "';\r\n" .
			"\$page_h3 = '" . $_POST['h3'] . "';\r\n" .
			"\$page_descr = '" . $_POST['descr'] . "';\r\n" .
			"\$alias = '" . $_POST['alias'] . "';\r\n" .
			"\$page_keyws = '" . $_POST['keys'] . "';\r\n" .
			"\$page_4menu = '" . $_POST['link'] . "';\r\n\r\n" .
			"\$content = <<< EOT\r\n" . $text . "\r\n" .
			"EOT;\r\n?>";
		if (!function_exists('file_put_contents'))
		{
			function file_put_contents ($filename, $content)
			{
				if ($fp = @fopen($filename, 'w'))
				{
					$result = fwrite($fp, $content);
					fclose ($fp);
					return $result;
				}
				else
				{
					return false;
				}
			}
		}
		if (!file_put_contents("../data/content/" . $n . ".php", $content))
		{
			die ("Ошибка записи");
		}
		else
		{
			$fs=fopen('../data/menu.csv', 'a');
			if(!fwrite($fs, $n.';'.$_POST['alias'].';'.$_POST['link'].";".$_POST['parent']."\n")) 
			die("Ошибка записи в меню. <a href='index.php'>вернуться на главную</a>");
			fclose($fs);
			echo ("Успешно добавлено. <a href='admin_new.php'>Добавить ещё одну</a> или <a href='index.php'>вернуться на главную</a><br>");
		}	
	}
}
require_once("footer.php");
?>